PROGRAM TrigFunct

   USE Const
   IMPLICIT NONE


INTERFACE 
   REAL FUNCTION MySin( x )
      REAL, INTENT(IN) :: x
   END FUNCTION MySin

   REAL FUNCTION MyCos( x )
      REAL, INTENT(IN) :: x
   END FUNCTION MyCos

END INTERFACE


   REAL :: Begin = -180.0
   REAL :: Final =  180.0
   REAL :: Step  =   10.0
   REAL :: x


   WRITE(*,*) 'Value of Pi= ', Pi
   WRITE(*,*) 

   x = Begin
 
   DO
      IF ( x > Final) EXIT
         WRITE(*,*) 'x = ', x, 'deg  sin(x)= ', MySin(x), &
                    '  cos(x)= ', MyCos(x)
      x = x + step
   END DO
END PROGRAM TrigFunct

